""" demonstrates the use of ColorPickerWidget """

from Products.Archetypes.public import *
from Products.ATColorPickerWidget.ColorPickerWidget import ColorPickerWidget

schema = BaseSchema +  Schema((
    StringField('color', 
                default='#00FFFF',
                searchable=0,
                required=0,
                widget=ColorPickerWidget(
		    label='Color',
		    allow_brightness=True)
               ),

    ))

class ATColorPickerDemoType(BaseContent):
    """Demo for ATColorPickerWidget"""

    content_icon = "document_icon.gif"
    schema = schema
    
registerType(ATColorPickerDemoType)

